/**
    05Robot - shared routines

    @author P.Kaczmarek,J.Tomczynski,T.Mankowski
    @version 1.0 2017
*/
#ifndef SYNCTHREAD_H
#define SYNCTHREAD_H 

#include <QThread>
#include "SyncObject.h"
/** \addtogroup ComputerVisionModule
 *  @{
 */
class SyncThread : public QThread
{
     Q_OBJECT

public:
	SyncObject * syncObject;

	SyncThread(SyncObject * so)
	{
		syncObject = so;
		this->start();
		so->moveToThread(this);
    }
    ~SyncThread()
    {
		delete syncObject;
        this->quit();
        this->wait();
	}
    void run();

};
/** @}*/
#endif
